Analytique
Sur cette page
Opérations sur les ressources d'analytique. 4 points de terminaison, chacun relatif à https://api.nxgen.cloud/api/v1 et authentifié comme décrit sous Authentification.
POST /analytics/detect
Service d'analyse IA
Corps de la demande
Paramètres de la demande d'analytique
{
"analytics": "string",
"version": "string",
"routeName": "string",
"meta": {
"useDeviceMetadataBoxes": "boolean",
"useObjectDetector": "boolean",
"useMotionDetection": "boolean",
"useLicensePlateDetection": "boolean",
"useFaceRecognition": "boolean",
"personConfidenceThreshold": "number",
"carConfidenceThreshold": "number",
"animalConfidenceThreshold": "number",
"licensePlateConfidenceThreshold": "number",
"faceConfidenceThreshold": "number",
"motionThreshold": "integer",
"motionMinBBoxWidth": "integer",
"motionMinBBoxHeight": "integer",
"modality": "string",
"roi": [
[
"integer"
]
],
"useHistogramEqualization": "boolean",
"saveDebugImages": "boolean",
"carMinArea": "integer",
"personMinArea": "integer",
"animalMinArea": "integer",
"licensePletMinArea": "integer",
"faceMinArea": "integer"
},
"frames": [
{
"imageUrl": "string",
"meta": {
"deviceMetadataBoxes": [
"…"
]
}
}
]
}Réponses
Statut | Description | Corps |
|---|---|---|
200 | Succès | |
204 | Pas de contenu | |
401 | Non autorisé | |
403 | Interdit | |
404 | Pas trouvé |
Exemple 200 réponse :
{
"dataResult": [
{
"eventid": "",
"personConfidenceThreshold": 0.5,
"carConfidenceThreshold": 0.5,
"animalConfidenceThreshold": 0.5,
"hasPerson": true,
"hasCar": true,
"hasAnimal": false,
"full_frame_detections": [
{
"x": 1289,
"y": 189,
"width": 235,
"height": 543,
"frameIdx": 1,
"confidence": 0.99912816,
"label": "person"
},
{
"x": 6,
"y": 316,
"width": 440,
"height": 369,
"frameIdx": 1,
"confidence": 0.9997342,
"label": "car"
},
{
"x": 8,
"y": 317,
"width": 436,
"height": 368,
"frameIdx": 2,
"confidence": 0.9997941,
"label": "car"
}
],
"device_bboxes": [],
"motion_locations": []
}
],
"totalRecordsCount": 15
}POST /analytics/manage
supprimer le planning
Corps de la demande
Paramètres de la demande d'analytique
{
"type": "string (required)",
"action": "string",
"oldExpression": "string (required)",
"newExpression": "string",
"spid": "string",
"hierarchyLevel": "string",
"hierarchyIds": [
"string"
]
}Réponses
Statut | Description | Corps |
|---|---|---|
200 | Succès | |
204 | Pas de contenu | |
401 | Non autorisé |
POST /analytics/schedule
Planification de la configuration
Corps de la demande
Paramètres de la demande Analytique
{
"type": "string",
"action": "string (required)",
"spid": "string (required)",
"hierarchyIds": [
"string"
],
"hierarchyLevel": "string (required)",
"expression": "string"
}Réponses
Statut | Description | Corps |
|---|---|---|
200 | Succès | |
204 | Pas de contenu | |
401 | Non autorisé |
POST /analytics/update
Calendrier des mises à jour
Corps de la demande
Paramètres de la demande Analytique
{
"entityType": "string",
"entityId": "string",
"serviceProviderId": "string",
"analyticType": "string",
"oldExpression": "string",
"newExpression": "string",
"isActive": "boolean",
"overwriteCustomSchedule": "string",
"analyticAction": "string",
"runOnce": "boolean"
}Réponses
Statut | Description | Corps |
|---|---|---|
200 | Succès | |
204 | Pas de contenu | |
401 | Non autorisé |
Exemple 200 réponse:
{
"isSuccess": true
}Merci — votre retour est transmis à l’équipe responsable de cette page.